## atmark-power-utils-1.3.3-r0.tar

=== Makefile ===
.PHONY: all build install clean

all: build

build/build.ninja:
	meson setup build

build: build/build.ninja
	ninja -C build

install: build/build.ninja
	ninja -C build install

clean:
	rm -rf build

=== APKBUILD ===
# Maintainer: Shin-ya Koga <shinya.koga@atmark-techno.com>
pkgname=atmark-power-utils
pkgver=1.3.3
pkgrel=0
pkgdesc="Atmark power control utility"
url="https://github.com/atmark-techno/atmark-power-utils/"
arch="all"
license="MIT AND Apache-2.0"
makedepends="meson linux-headers"
checkdepends="bash"
options="!check"
subpackages="$pkgname-openrc"
source="atmark-power-utils-1.3.3.tar.gz"

build() {
	abuild-meson build
	meson compile -C build
}

package() {
	cd "$srcdir/$pkgname-$pkgver"
	DESTDIR="$pkgdir" meson install --no-rebuild -C build
	chmod +x "$pkgdir"/etc/init.d/atmark-power-utils
}

sha512sums="
2ce41c58da7eabcc73800649afb10c222bd3e19e0b437983b79a040f045cff4fcc8406dbee410b755400e1c36f4bba4d474073e8d2852164dec3eec20ccd6892  atmark-power-utils-1.3.3.tar.gz
"
